<script setup>
import { computed } from "vue";
import TableConfigComponent from "../../../../table/config.vue";
defineOptions({ name: "ShwfedBlockTableConfig" });
const block = defineModel({ type: null, ...{ required: true } });
defineProps({
  configure: { type: Function, required: false }
});
const tableConfig = computed({
  get: () => block.value.table,
  set: (next) => {
    block.value = { ...block.value, table: next };
  }
});
</script>

<template>
  <TableConfigComponent
    v-model="tableConfig"
    :configure="configure"
  />
</template>
